## r-cran-highr 0.6

=== DESCRIPTION ===
Package: highr
Type: Package
Title: Syntax Highlighting for R Source Code
Version: 0.6
Date: 2016-05-09
Authors@R: c(person("Christopher", "Gandrud", role = "ctb"),
    person("Qiang", "Li", role = "ctb"),
    person("Yixuan", "Qiu", role = "aut"),
    person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")))
Maintainer: Yihui Xie <xie@yihui.name>
Description: Provides syntax highlighting for R source code. Currently it
    supports LaTeX and HTML output. Source code of other languages is supported
    via Andre Simon's highlight package (http://www.andre-simon.de).
Depends: R (>= 3.0.2)
Suggests: knitr, testit
License: GPL
URL: https://github.com/yihui/highr
BugReports: https://github.com/yihui/highr/issues
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-05-09 05:31:15 UTC; yihui
Author: Christopher Gandrud [ctb],
  Qiang Li [ctb],
  Yixuan Qiu [aut],
  Yihui Xie [aut, cre]
Repository: CRAN
Date/Publication: 2016-05-09 17:52:58

## r-cran-highr 0.5.1

=== debian/changelog ===
r-cran-highr (0.5.1-2) unstable; urgency=low

  * Initial release. Closes: #808808
  * debian/copyright: completed.
  * debian/docs: added: install upstream README.md.
  * debian/control: not arch any but arch all, drop shlibs:Depends.
  * debian/links: make HTML documentation available via
    usr/share/doc/r-cran-highr/doc and usr/share/doc/r-cran-highr/html.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 03 May 2016 21:25:01 +0200

r-cran-highr (0.5.1-1) private; urgency=low

  * Private release, for Tilburg University.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 23 Dec 2015 13:41:40 +0100

=== debian/control ===
Source: r-cran-highr
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev,
               cdbs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-highr.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-highr.git
Homepage: https://cran.r-project.org/web/packages/highr/

Package: r-cran-highr
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-highlight.js,
         libjs-jquery
Description: Syntax Highlighting for R Source Code
 The GNU R package highr provides syntax highlighting for R source code; it
 natively supports generating LaTeX and HTML output from R source code.
 Source code of other languages is supported via Andre Simon's highlight
 package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Use hardening flags for linking
include /usr/share/dpkg/buildflags.mk
makeFlags="LDFLAGS=$(LDFLAGS)"

include /usr/share/R/debian/r-cran.mk

#common-install::

common-install-arch::
	echo DEBUG rm -vf $(debRlib)/$(cranNameOrig)/NEWS
	rm -vf $(debRlib)/$(cranNameOrig)/NEWS
	# sed -i 's/#include "yaml.h"/#include <yaml.h>/' src/r-ext.h
	# FIXME no match?
	# grep -v --fixed-strings -e '  <script src="https://code.jquery.com/jquery-2.1.1.min.js"></script>' -e '  <script src="http://yihui.name/knitr/js/docco-resize.js"></script>' $(debRlib)/$(cranNameOrig)/doc/highr-internals.html > $(debRlib)/$(cranNameOrig)/doc/highr-internals.html,
	# grep -v --fixed-strings -e '  <script src="https://code.jquery.com/jquery-2.1.1.min.js"></script>' $(debRlib)/$(cranNameOrig)/doc/highr-internals.html >$(debRlib)/$(cranNameOrig)/doc/highr-internals.html,
	grep -v --fixed-strings -e '  <script src=\"https://code.jquery.com/jquery-2.1.1.min.js\"></script>' $(debRlib)/$(cranNameOrig)/doc/highr-internals.html >$(debRlib)/$(cranNameOrig)/doc/highr-internals.html,
	mv $(debRlib)/$(cranNameOrig)/doc/highr-internals.html, $(debRlib)/$(cranNameOrig)/doc/highr-internals.html

# --line-regexp
#     usr/lib/R/site-library/highr/doc/highr-internals.html You may use
#      libjs-jquery package. (https://code.jquery.com/jquery-2.1.1.min.js)
#    inst/doc/highr-custom.html , highr-internals.html :
#     <script src="https://code.jquery.com/jquery-2.1.1.min.js"></script>
#     <script src="http://yihui.name/knitr/js/docco-resize.js"></script>

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/highr_([-\d\.]*)\.tar.gz

## r-cran-highr 0.6

=== debian/changelog ===
r-cran-highr (0.6-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for r-api-3.4 transition.
  * Bump Standards-Version to 4.1.0.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Sep 2017 12:50:05 +0200

r-cran-highr (0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Architecture: all
  * convert to dh-r
  * Canonical CRAN homepage
  * debhelper 10
  * d/watch: version=4
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 11:37:47 +0100

=== debian/control ===
Source: r-cran-highr
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               r-base-dev,
               dh-r
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-highr.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-highr.git
Homepage: https://cran.r-project.org/package=highr

Package: r-cran-highr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-highlight.js,
         libjs-jquery
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Syntax Highlighting for R Source Code
 The GNU R package highr provides syntax highlighting for R source code; it
 natively supports generating LaTeX and HTML output from R source code.
 Source code of other languages is supported via Andre Simon's highlight
 package.

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,20 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-# Use hardening flags for linking
-include /usr/share/dpkg/buildflags.mk
-makeFlags="LDFLAGS=$(LDFLAGS)"
+# These definitions can be removed once #842092 is fixed
+debRreposname   := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}' | sed 's/r-\([a-z]\+\)-.*/\1/')
+awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
+cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
+cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
+package         := r-$(debRreposname)-$(cranName)
+debRdir         := usr/lib/R/site-library
+debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)
 
-include /usr/share/R/debian/r-cran.mk
+%:
+	dh $@ --buildsystem R
 
-#common-install::
-
-common-install-arch::
+override_dh_install:
+	dh_install
 	echo DEBUG rm -vf $(debRlib)/$(cranNameOrig)/NEWS
 	rm -vf $(debRlib)/$(cranNameOrig)/NEWS
 	# sed -i 's/#include "yaml.h"/#include <yaml.h>/' src/r-ext.h

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/highr_([-\d\.]*)\.tar.gz

## r-cran-highr 0.7+dfsg

=== DESCRIPTION ===
Package: highr
Type: Package
Title: Syntax Highlighting for R Source Code
Version: 0.7
Authors@R: c(person("Christopher", "Gandrud", role = "ctb"),
    person("Qiang", "Li", role = "ctb"),
    person("Yixuan", "Qiu", role = "aut"),
    person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")))
Maintainer: Yihui Xie <xie@yihui.name>
Description: Provides syntax highlighting for R source code. Currently it
    supports LaTeX and HTML output. Source code of other languages is supported
    via Andre Simon's highlight package (<http://www.andre-simon.de>).
Depends: R (>= 3.0.2)
Suggests: knitr, testit
License: GPL
URL: https://github.com/yihui/highr
BugReports: https://github.com/yihui/highr/issues
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-06-09 07:37:11 UTC; yihui
Author: Christopher Gandrud [ctb],
  Qiang Li [ctb],
  Yixuan Qiu [aut],
  Yihui Xie [aut, cre]
Repository: CRAN
Date/Publication: 2018-06-09 15:46:28 UTC

=== debian/changelog ===
r-cran-highr (0.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 10:35:12 +0200

r-cran-highr (0.6-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file
  * Use variables defined in /usr/share/dh-r/r-cran.mk
  * d/rules: replace external references as far as possible

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 14:21:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: r-cran-highr
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               r-base-dev,
-               dh-r
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-highr.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-highr.git
+Build-Depends: debhelper (>= 11~),
+               dh-r (>= 20180527),
+               r-base-dev
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-highr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-highr.git
 Homepage: https://cran.r-project.org/package=highr
 
 Package: r-cran-highr

## r-cran-highr 0.8%2Bdfsg

=== debian/changelog ===
r-cran-highr (0.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2019 21:14:33 +0200

## r-cran-highr 0.8+dfsg

=== DESCRIPTION ===
Package: highr
Type: Package
Title: Syntax Highlighting for R Source Code
Version: 0.8
Authors@R: c(person("Christopher", "Gandrud", role = "ctb"),
    person("Qiang", "Li", role = "ctb"),
    person("Yixuan", "Qiu", role = "aut"),
    person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")))
Maintainer: Yihui Xie <xie@yihui.name>
Description: Provides syntax highlighting for R source code. Currently it
    supports LaTeX and HTML output. Source code of other languages is supported
    via Andre Simon's highlight package (<http://www.andre-simon.de>).
Depends: R (>= 3.2.3)
Suggests: knitr, testit
License: GPL
URL: https://github.com/yihui/highr
BugReports: https://github.com/yihui/highr/issues
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2019-03-20 18:58:08 UTC; yihui
Author: Christopher Gandrud [ctb],
  Qiang Li [ctb],
  Yixuan Qiu [aut],
  Yihui Xie [aut, cre]
Repository: CRAN
Date/Publication: 2019-03-20 21:10:33 UTC

=== debian/changelog ===
r-cran-highr (0.8+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 07:31:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r (>= 20180527),
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-highr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-highr.git
 Homepage: https://cran.r-project.org/package=highr
+Rules-Requires-Root: no
 
 Package: r-cran-highr
 Architecture: all

## r-cran-highr 0.9+dfsg

=== DESCRIPTION ===
Package: highr
Type: Package
Title: Syntax Highlighting for R Source Code
Version: 0.9
Authors@R: c(
    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
    person("Yixuan", "Qiu", role = "aut"),
    person("Christopher", "Gandrud", role = "ctb"),
    person("Qiang", "Li", role = "ctb")
    )
Description: Provides syntax highlighting for R source code. Currently it
    supports LaTeX and HTML output. Source code of other languages is supported
    via Andre Simon's highlight package (<http://www.andre-simon.de>).
Depends: R (>= 3.2.3)
Imports: xfun (>= 0.18)
Suggests: knitr, markdown, testit
License: GPL
URL: https://github.com/yihui/highr
BugReports: https://github.com/yihui/highr/issues
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-04-16 21:12:10 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Yixuan Qiu [aut],
  Christopher Gandrud [ctb],
  Qiang Li [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2021-04-16 21:50:05 UTC

=== debian/changelog ===
r-cran-highr (0.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Upstream does not provide README.md any more

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 13:17:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r (>= 20180527),
-               r-base-dev
-Standards-Version: 4.5.0
+               r-base-dev,
+               r-cran-xfun (>= 0.18)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-highr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-highr.git
 Homepage: https://cran.r-project.org/package=highr

## r-cran-highr 0.10%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r (>= 20180527),
                r-base-dev,
                r-cran-xfun (>= 0.18)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-highr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-highr.git
 Homepage: https://cran.r-project.org/package=highr

## r-cran-highr 0.10+dfsg

=== DESCRIPTION ===
Package: highr
Type: Package
Title: Syntax Highlighting for R Source Code
Version: 0.10
Authors@R: c(
    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
    person("Yixuan", "Qiu", role = "aut"),
    person("Christopher", "Gandrud", role = "ctb"),
    person("Qiang", "Li", role = "ctb")
    )
Description: Provides syntax highlighting for R source code. Currently it
    supports LaTeX and HTML output. Source code of other languages is supported
    via Andre Simon's highlight package (<http://www.andre-simon.de>).
Depends: R (>= 3.3.0)
Imports: xfun (>= 0.18)
Suggests: knitr, markdown, testit
License: GPL
URL: https://github.com/yihui/highr
BugReports: https://github.com/yihui/highr/issues
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2022-12-22 06:43:07 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Yixuan Qiu [aut],
  Christopher Gandrud [ctb],
  Qiang Li [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2022-12-22 07:00:02 UTC

=== debian/changelog ===
r-cran-highr (0.10+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 0.10+dfsg
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 18:33:25 +0530

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	rm -vf $(debRlib)/$(cranNameOrig)/NEWS

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/highr_([-\d\.]*)\.tar.gz

## r-cran-highr 0.11+dfsg

=== DESCRIPTION ===
Package: highr
Type: Package
Title: Syntax Highlighting for R Source Code
Version: 0.11
Authors@R: c(
    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
    person("Yixuan", "Qiu", role = "aut"),
    person("Christopher", "Gandrud", role = "ctb"),
    person("Qiang", "Li", role = "ctb")
    )
Description: Provides syntax highlighting for R source code. Currently it
    supports LaTeX and HTML output. Source code of other languages is supported
    via Andre Simon's highlight package (<https://gitlab.com/saalen/highlight>).
Depends: R (>= 3.3.0)
Imports: xfun (>= 0.18)
Suggests: knitr, markdown, testit
License: GPL
URL: https://github.com/yihui/highr
BugReports: https://github.com/yihui/highr/issues
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-05-26 19:27:21 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Yixuan Qiu [aut],
  Christopher Gandrud [ctb],
  Qiang Li [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2024-05-26 20:00:03 UTC

=== debian/changelog ===
r-cran-highr (0.11+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Jun 2024 12:52:05 +0900

r-cran-highr (0.10+dfsg-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * d/control: remove Uploaders (it had only my name).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 23 Apr 2024 07:21:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: r-cran-highr
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-r (>= 20180527),
+               dh-r,
                r-base-dev,
-               r-cran-xfun (>= 0.18)
-Standards-Version: 4.6.2
+               r-cran-xfun
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-highr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-highr.git
 Homepage: https://cran.r-project.org/package=highr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-markdown,
        r-cran-testit
Restrictions: allow-stderr
